package org.project;

import org.project.location.Location;

import java.util.ArrayList;
import java.util.List;

public class Main {
    public static void main(String[] args) {
        // TODO: ADD LOCATIONS TO YOUR GAME
        List<Location> locations = new ArrayList<>();
        Location forest = new Location("Forest");
        Location cave = new Location("Cave");

        forest.addLocation(cave);
        cave.addLocation(forest);

        locations.add(forest);
        locations.add(cave);

        // TODO: IMPLEMENT GAMEPLAY
        System.out.println("Game started!");
        System.out.println("Locations created: ");

        for (Location loc : locations) {
            System.out.println("- " + loc.getName());
        }
    }
}